libzypp 17.37.10

ExternalProgram.h File Reference
`#include <unistd.h>`
`#include <map>`
`#include <string>`
`#include <vector>`
`#include <optional>`
`#include <zypp-core/Globals.h>`
`#include <zypp-core/base/ExternalDataSource.h>`
`#include <zypp-core/Pathname.h>`

Go to the source code of this file.

## Classes
class | zypp::ExternalProgram
| Execute a program and give access to its io An object of this class encapsulates the execution of an external program. More...
struct | zypp::externalprogram::EarlyPipe
| Helper providing pipe FDs for ExternalProgramWithStderr. More...
class | zypp::ExternalProgramWithStderr
| ExternalProgram extended to offer reading programs stderr. More...
class | zypp::ExternalProgramWithSeperatePgid
| ExternalProgram extended to change the progress group ID after forking. More...

## Namespaces
namespace | zyppng
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::externalprogram